# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::CognitiveServices::FormRecognizer::V1_0_preview
  module Models
    #
    # Filters to be applied when traversing a data source.
    #
    class TrainSourceFilter

      include MsRestAzure

      # @return [String] A case-sensitive prefix string to filter content
      # under the source location. For e.g., when using a Azure Blob
      # Uri use the prefix to restrict subfolders for content.
      attr_accessor :prefix

      # @return [Boolean] A flag to indicate if sub folders within the set of
      # prefix folders will also need to be included when searching
      # for content to be preprocessed.
      attr_accessor :include_sub_folders


      #
      # Mapper for TrainSourceFilter class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'TrainSourceFilter',
          type: {
            name: 'Composite',
            class_name: 'TrainSourceFilter',
            model_properties: {
              prefix: {
                client_side_validation: true,
                required: false,
                serialized_name: 'prefix',
                constraints: {
                  MaxLength: 128,
                  MinLength: 0
                },
                type: {
                  name: 'String'
                }
              },
              include_sub_folders: {
                client_side_validation: true,
                required: false,
                serialized_name: 'includeSubFolders',
                type: {
                  name: 'Boolean'
                }
              }
            }
          }
        }
      end
    end
  end
end
